Bug 171407 - RealtimeMediaSourceCenter callbacks should be passed as r-values
Summary: RealtimeMediaSourceCenter callbacks should be passed as r-values
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-27 16:50 PDT by youenn fablet
Modified: 2017-05-06 01:56 PDT (History)
3 users (show)

See Also:


Attachments
Patch (11.85 KB, patch)
2017-04-27 16:51 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Fixing gtk build (13.00 KB, patch)
2017-04-28 10:24 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (12.64 KB, patch)
2017-05-05 23:29 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2017-04-27 16:50:14 PDT
They are passed by value currently
Comment 1 youenn fablet 2017-04-27 16:51:16 PDT
Created attachment 308477 [details]
Patch
Comment 2 youenn fablet 2017-04-28 10:24:42 PDT
Created attachment 308551 [details]
Fixing gtk build
Comment 3 youenn fablet 2017-05-05 23:29:29 PDT
Created attachment 309273 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2017-05-06 00:22:40 PDT
The commit-queue encountered the following flaky tests while processing attachment 309273 [details]:

The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2017-05-06 00:23:08 PDT
The commit-queue encountered the following flaky tests while processing attachment 309273 [details]:

http/tests/misc/acid3.html bug 165734 (authors: abecsi@webkit.org, arv@chromium.org, cdumez@apple.com, rniwa@webkit.org, and tonyg@chromium.org)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2017-05-06 01:02:40 PDT
The commit-queue encountered the following flaky tests while processing attachment 309273 [details]:

http/tests/misc/acid3.html bug 165734 (authors: abecsi@webkit.org, arv@chromium.org, cdumez@apple.com, rniwa@webkit.org, and tonyg@chromium.org)
The commit-queue is continuing to process your patch.
Comment 7 WebKit Commit Bot 2017-05-06 01:02:41 PDT
The commit-queue encountered the following flaky tests while processing attachment 309273 [details]:

The commit-queue is continuing to process your patch.
Comment 8 WebKit Commit Bot 2017-05-06 01:56:02 PDT
Comment on attachment 309273 [details]
Patch for landing

Clearing flags on attachment: 309273

Committed r216323: <http://trac.webkit.org/changeset/216323>
Comment 9 WebKit Commit Bot 2017-05-06 01:56:04 PDT
All reviewed patches have been landed.  Closing bug.